## firestarter 1.0.3

=== debian/changelog ===
firestarter (1.0.3-11) unstable; urgency=low

  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt",
    with thanks to Jari Aalto (closes: #664357)
  * Update to Standards-Version to 3.9.3 and debhelper to 9.
  * Acknowledge NMU by Robert Millan, thank you (closes: #647653)
  * Cleanup patch 15_sv_po, which was also modifying the non-routables
    file.
  * Remove module ipt_ipv4optsstrip from module loader, thanks to
    Robert Edmonds (closes: #626293)
  * Edit src/service.c to return the port number rather than
    'Unknown' if the service name cannot be determined, (closes: #295334)
  * Add note to package description regarding the lack of upstream
    development and IPv6 support in this package.
  * Do not restart the firestarter service unless it is properly
    configured and the interface being started/stopped corresponds
    to the external interface, thanks to Javier Fernandez-Sanguino
    Pen~a (closes: #632070)
  * Do not restart the firestarter service if we are entering
    runlevel 0 or 6 (closes: #589449)

 -- Paul Cupis <paul@cupis.co.uk>  Sun, 13 May 2012 22:49:18 +0100

firestarter (1.0.3-10.1) unstable; urgency=low

  * Non-maintainer upload.
  * Set Architecture to linux-any.  (Closes: #647653)

 -- Robert Millan <rmh@debian.org>  Sun, 22 Apr 2012 16:10:29 +0200

firestarter (1.0.3-10) unstable; urgency=low

  * Update non-routeables file to reflect allocation of the
    last /8 blocks by IANA.
  * Update desktop file so it validates (closes: #611801)
  * Add 23_fix_ftbfs_binutils-gold from Mahyuddin Susanto to
    fix FTBFS with binutils-gold (closes: #554370)
  * Update config.{guess|sub} from autotools-dev
  * Update init.d script to show we start at rcS.
  * Add patch 02_support_isc-dhcp4 to support Debian
    isc-dhcp-server which is configured via /etc/dhcpd/
    (closes: #615264)
  * Add watch file (closes: #609065)

 -- Paul Cupis <paul@cupis.co.uk>  Sun, 27 Feb 2011 20:27:33 +0000

firestarter (1.0.3-9) unstable; urgency=low

  * Update non-routables file from 
    http://www.cymru.com/Documents/bogon-bn-nonagg.txt
    (closes: #604850)
  * Remove gksu dependency and add menu (closes: #551077)
  * Add Homepage link
  * Capitalise GTK in description (closes: #502932)
  * Add Ubuntu patches 21 (locales) and 22 (encoding) with
    thanks (closes: #585980)
  * Update Standards-Version
  * Update debhelper to V5.
  * Add $remote_fs to init script LSB header
  * Build-dep on chrpath to remove RPATH in binary

 -- Paul Cupis <paul@cupis.co.uk>  Sun, 02 Jan 2011 20:53:16 +0000

firestarter (1.0.3-8) unstable; urgency=low

  * Apologies, I thought I had uploaded this version in February.
  * Rebuild against unstable (new Gnome libraries).
  * Add Build-Dep on libglade2-dev (closes: #536941)
  * Change ifupdown script to use invoke-rc.d.
  * Update debian/changelog to refer to GPL-2, not GPL.
  * Update non-routables file from 
    http://www.cymru.com/Documents/bogon-bn-nonagg.txt

 -- Paul Cupis <paul@cupis.co.uk>  Sat, 15 Aug 2009 13:02:39 +0100

firestarter (1.0.3-7) unstable; urgency=low

  * Change menu/desktop file to use su-to-root instead of gksu
    (closes: #479813)
  * Allow localhost traffic when firewall is locked (closes: #479224)
  * Bump to Standards-Version 3.8.0, no changes
  * Fix Lintian warnings:
     - debian-rules-ignores-make-clean-error
     - spelling-error-in-changelog (dependancy dependency)
     - maintainer-script-empty (preinst)
     - command-with-path-in-maintainer-script (postinst)
  * Remove extra .desktop file from obsolete location
  * Update non-routables list
  * Copy patch from Ubuntu with updated .it po file (closes: #417467)
  * Copy patch from Ubuntu which fixes some memory leak/crash
    problems (closes: #449051)

 -- Paul Cupis <paul@cupis.co.uk>  Sat, 13 Sep 2008 21:14:27 +0100

firestarter (1.0.3-6) unstable; urgency=low

  * Recover lsb-base dependency lost in last update.
  * Remove 'Application' category from desktop file, add trailing semicolon.
  * Remove old code from preinst (replace with empty/default version)
  * Replace postinst with updated version.
  * Update menu file for new menu policy.
  * Add LSB keyword section to initscript.
  * Change initscript to run at S65, not 'defaults'.
  * Do not use invoke-rc.d in ppp/ifupdown scripts, call initscript directly
    (closes: #438732).
  * Copy patch from Ubuntu to launch web browser as non-root user - thanks
    go to the author of the Ubuntu patch
     - fixup docs patch appropriately

 -- Paul Cupis <paul@cupis.co.uk>  Fri, 24 Aug 2007 16:35:24 +0100

firestarter (1.0.3-5) unstable; urgency=low

  * Fix typo in init script, thanks to Andrea Vettorello (closes: #436196)
  * Merge init-script dpatch file.

 -- Paul Cupis <paul@cupis.co.uk>  Mon, 06 Aug 2007 19:19:42 +0100

firestarter (1.0.3-4) unstable; urgency=low

  * Actually change the Maintainer field - oops.
  * Really apply patch for fix URI to upstream docs (closes: #427430)

 -- Paul Cupis <paul@cupis.co.uk>  Mon, 06 Aug 2007 00:22:53 +0100

firestarter (1.0.3-3) unstable; urgency=low

  * Change maintainer (with previous maintainers consent).
  * Update non-routables list (closes: #416553)
  * Use LSB functions in init-script (closes: #414007)
  * Add script to if-up.d and family to restart firestarter
    when an interface is brought up or taken down
    (closes: #417663, #407595)
  * Take patch from Ubuntu to add Categories to the desktop
    file and install file in correct place (closes: #414000)
  * firestarter will now restart dnsmasq if detected (closes: #316746)
  * Update URI to upstream documentation (closes: #427430)

 -- Paul Cupis <paul@cupis.co.uk>  Sun, 05 Aug 2007 10:11:03 +0100

firestarter (1.0.3-2) unstable; urgency=low

  * Fix postrm script on purge (closes: #303973, #338550, #375189)
  * Fix preinst script (closes: #300143, #314286)
  * Update non-routables file (closes: #407331)
  * Update swedish translation. Thanks Daniel Nylander (closes: #384447)

