=== debian/control ===
Source: firestarter
Section: admin
Priority: optional
Maintainer: Paul Cupis <paul@cupis.co.uk>
Build-Depends: debhelper (>= 9), libgnome2-dev, libglade2-dev, libgnomeui-dev (>= 2.6.1.1-4), gettext, libpopt-dev, autotools-dev, libxml-parser-perl, chrpath
Build-Conflicts:
Standards-Version: 3.9.3
Homepage: http://www.fs-security.com

Package: firestarter
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, iptables (>= 1.2.11), menu, lsb-base (>=3.1)
Suggests: dhcp3-server
Description: GTK program for managing and observing your firewall
 Firestarter is a complete firewall tool for Linux machines. It
 features an easy to use firewall wizard to quickly create a
 firewall. Using the program you can then open and close ports
 with a few clicks, or stealth your machine giving access only
 to a select few. The real-time hit monitor shows attackers
 probing your machine.
 .
 Firestarter is no longer developed and is missing some critical
 features such as IPv6 support, so users may be advised to look
 into more modern alternatives such as gufw.
