=== debian/rules ===
#! /usr/bin/make -f

## debian/rules for firestarter


ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS="-O0 -Wall -g"
else
	CFLAGS="-O2 -Wall -g"
endif
						
configure: configure-stamp
configure-stamp:
	dh_testdir
	
	cp config.guess config.guess.orig
	cp config.sub config.sub.orig
	@cp -f /usr/share/misc/config.guess .
	@cp -f /usr/share/misc/config.sub .
	CFLAGS=$(CFLAGS) ./configure --prefix=/usr \
		--mandir=/usr/share/man \
		--infodir=/usr/share/info \
		--datadir=/usr/share \
		--sysconfdir=/etc

	touch configure-stamp

build: configure-stamp build-stamp

build-stamp:
	dh_testdir
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	rm -f intltool-extract intltool-update intltool-merge
	rm -f firestarter.schemas firestarter.desktop

	[ ! -f Makefile ] || $(MAKE) distclean
	
	dh_clean

	rm -f po/*.gmo

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1; \
	$(MAKE) install DESTDIR=$(CURDIR)/debian/firestarter
	cd $(CURDIR)/debian/firestarter/usr && mv bin sbin
	install -D -m644 pixmaps/firestarter.xpm \
		$(CURDIR)/debian/firestarter/usr/share/pixmaps/firestarter.xpm
	rm $(CURDIR)/debian/firestarter/usr/share/gnome/apps/Internet/firestarter.desktop
	rm -r $(CURDIR)/debian/firestarter/usr/share/gnome
	install -D -m644 firestarter.desktop \
		$(CURDIR)/debian/firestarter/usr/share/applications/firestarter.desktop
	# install script in i(p|f)-(up|down).d to restart guarddog
	# whenever interfaces are brought up/down
	install -D -m755 debian/firestarter.ifupdown \
		$(CURDIR)/debian/firestarter/etc/ppp/ip-up.d/50firestarter
	install -D -m755 debian/firestarter.ifupdown \
		$(CURDIR)/debian/firestarter/etc/ppp/ip-down.d/50firestarter
	install -D -m755 debian/firestarter.ifupdown \
		$(CURDIR)/debian/firestarter/etc/network/if-up.d/50firestarter
	install -D -m755 debian/firestarter.ifupdown \
		$(CURDIR)/debian/firestarter/etc/network/if-down.d/50firestarter
	# remote RPATH from binary
	chrpath -d $(CURDIR)/debian/firestarter/usr/sbin/firestarter

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installmenu
	dh_installman
	dh_installchangelogs ChangeLog
	dh_installinit --no-start --update-rcd-params="start 65 S ."
	dh_gconf
	dh_link
	dh_strip
	dh_compress
	dh_fixperms -X "50firestarter"
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
