=== debian/watch ===
version=3
http://sf.net/firestarter/firestarter-(.+)\.tar\.gz
